from gcs_cli.helpers import record_print_result_message, requires_login
from gcs_cli.parsing import globus_command, role_id_arg
from gcs_cli.services.gcs import get_client


@globus_command("delete", short_help="Delete an existing Collection Role")
@role_id_arg
@requires_login
def role_delete(role_id, **kwargs):
    """
    Delete an existing Collection Role.
    """
    client = get_client()
    res = client.delete_role(role_id)
    record_print_result_message(res)
