"""
Process a principal_type and principal_name_or_id string and return a principal
for use in constructing a role.
"""
import uuid

from gcs_cli.services.auth import get_client


def create_principal(principal_type, username_or_id):
    URN_PREFIX = {
        "identity": "urn:globus:auth:identity:",
        "group": "urn:globus:groups:id:",
    }
    if isinstance(username_or_id, uuid.UUID):
        principal_id = username_or_id
    else:
        principal_id = None

        if principal_type == "identity":
            client = get_client()
            res = client.get_identities(usernames=username_or_id)
            identities = res.get("identities")
            if len(identities) == 1 and identities[0]["status"] == "used":
                principal_id = identities[0]["id"]
    if principal_id:
        return URN_PREFIX[principal_type] + str(principal_id)
