import globus.manager.api.models as m

from globus.manager.api.connectors.google_cloud_platform import GoogleCloudPlatform
import globus.manager.api.schemas.connectors.google_cloud_storage  # noqa


class GoogleCloudStorageConnector:
    CONNECTOR_ID = "56366b96-ac98-11e9-abac-9cb6d0d9fd63"
    DISPLAY_NAME = "Google Cloud Storage"
    model = m.GoogleCloudStorageGateway

    def __init__(self, app):
        self.google_cloud_platform = GoogleCloudPlatform(app)

        SCOPES = (
            "email "
            "profile "
            "https://www.googleapis.com/auth/devstorage.read_write "
            "https://www.googleapis.com/auth/cloudplatformprojects.readonly "
        )
        USER_CREDENTIAL_DATA_TYPE = (
            "google_cloud_storage_user_credential_policies#1.0.0"
        )

        self.google_cloud_platform.add_connector(
            self.CONNECTOR_ID, SCOPES, USER_CREDENTIAL_DATA_TYPE
        )

    def storage_credential_delete(self, storage_credential):
        self.google_cloud_platform.storage_credential_delete(storage_credential)
