import globus.manager.api.models as m
from globus.manager.api.connectors.google_cloud_platform import GoogleCloudPlatform
import globus.manager.api.schemas.connectors.google_drive  # noqa


class GoogleDriveConnector:
    CONNECTOR_ID = "976cf0cf-78c3-4aab-82d2-7c16adbcc281"
    DISPLAY_NAME = "Google Drive"
    model = m.GoogleDriveStorageGateway

    def __init__(self, app):
        SCOPES = (
            "email "
            "profile "
            "https://www.googleapis.com/auth/drive "
            "https://www.googleapis.com/auth/drive.appfolder"
        )
        USER_CREDENTIAL_DATA_TYPE = "google_drive_user_credential_policies#1.0.0"
        self.google_cloud_platform = GoogleCloudPlatform(app)

        self.google_cloud_platform.add_connector(
            self.CONNECTOR_ID, SCOPES, USER_CREDENTIAL_DATA_TYPE
        )
