import marshmallow as ma

from .data_type import DataTypeSchema


class InvalidUserSchema(ma.Schema):
    _DATA_TYPE = "invalid_user#1.0.0"
    DATA_TYPE = ma.fields.String(
        required=True,
        allow_none=False,
        default=_DATA_TYPE,
        validate=[ma.validate.Equal(_DATA_TYPE)],
    )
    usernames = ma.fields.List(ma.fields.String)


invalid_user_schema = InvalidUserSchema()
DataTypeSchema.register_schema(invalid_user_schema)
