import marshmallow as ma
from .data_type import DataTypeSchema


class NotResourceOwnerSchema(ma.Schema):
    _DATA_TYPE = "not_resource_owner#1.0.0"
    DATA_TYPE = ma.fields.String(
        required=True,
        allow_none=False,
        default=_DATA_TYPE,
        validate=[ma.validate.Equal(_DATA_TYPE)],
    )
    id = ma.fields.UUID()


not_resource_owner_schema = NotResourceOwnerSchema()
DataTypeSchema.register_schema(not_resource_owner_schema)
