import marshmallow as ma

from .data_type import DataTypeSchema

_PATH_RE = "^[/~\\$\\*\\?\\[].*$"


class PathRestrictionsSchema(ma.Schema):
    _DATA_TYPE = "path_restrictions#1.0.0"
    DATA_TYPE = ma.fields.String(
        required=True,
        allow_none=False,
        default=_DATA_TYPE,
        validate=[ma.validate.Equal(_DATA_TYPE)],
    )

    read = ma.fields.List(ma.fields.String(validate=[ma.validate.Regexp(_PATH_RE)]))
    read_write = ma.fields.List(
        ma.fields.String(validate=[ma.validate.Regexp(_PATH_RE)])
    )
    none = ma.fields.List(ma.fields.String(validate=[ma.validate.Regexp(_PATH_RE)]))


path_restrictions_schema = PathRestrictionsSchema()
DataTypeSchema.register_schema(path_restrictions_schema)
