import marshmallow as ma


class CertificateSchema(ma.Schema):
    """
    Certificate for an Endpoint
    """

    _DATA_TYPE = "certificate#1.0.0"
    DATA_TYPE = ma.fields.Str(
        required=True,
        allow_none=False,
        default=_DATA_TYPE,
        validate=[ma.validate.Equal(_DATA_TYPE)],
    )
    domain_name = ma.fields.String()
    certificate = ma.fields.String()
    chain = ma.fields.String()
    key = ma.fields.String()


certificate_schema = CertificateSchema()
